html {
  scroll-behavior: smooth;
}

#background-wrapper {
  z-index: -1;
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  background-size: cover;
  background-image: url('../assets/img/background.webp');
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-position-y: center;
}

noscript, .noscript {
  background-color: #ff0000; /* CSS 2.1 safe */
  background-color: rgba(255, 0, 0, 0.8);
  border: 2px solid #8B0000;
  position: fixed;
  top: 0;
  width: 80em;
  margin-left: calc((100% - 80em) / 2);
  z-index: 200;
  padding: 1em;
  text-align: center;
  font-family: Corbel, sans-serif;
  font-size: larger;
  font-weight: bold;

  -webkit-user-select: none; /* Safari */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* IE10+/Edge */
  user-select: none; /* Standard */
}

noscript *, .noscript * {
  margin: 0;
}

/* While these boxes are appearing delayed activated JavaScript will delete them */
.noscript {
  position: absolute;
  top: -0.3em;
  width: 100%;
  margin-left: 0;
  z-index: 199;
  text-align: center;
  font-size: 1em;
  padding: 0;
  border-radius: 1em;
  animation: 3s ease-out 0s 1 noscript-opacity-delay;
}

@keyframes noscript-opacity-delay {
  0% {
    opacity: 0;
  }
  80% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

#back-button {
  font-size: 75px;
  position: fixed;
  bottom: 2rem;
  right: -110px;
  text-decoration: none;
  background-size: cover;
  transition: right 1.5s cubic-bezier(1, -0.13, .49, 1.42);
  z-index: 198;
  background: rgba(255, 255, 255, 0.5);
  padding: 0.2em;
  border-radius: 50%;
  border: rgba(255, 255, 255, 0.55) solid;
}

#back-button.active {
  right: 2rem;
}

#back-button > svg {
  width: 0.5em;
  height: 0.5em;
  display: block;
  opacity: 0.9;
}

main {
  overflow: hidden;
  width: 70vw;
  font-family: Corbel, sans-serif;
}

main > article {
  background: rgba(255, 255, 255, .7);
  box-shadow: 0 0 10px 0 rgba(0%, 0%, 0%, .75);
  border-radius: 0.2rem;
  /*overflow: hidden;*/
  margin: 2em 1em 1em 1em;
  padding: 2%;
}

main > article > h1 {
  text-align: center;
}

.kursiv {
  font-style: italic;
}


.button-box {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  position: relative;
}


.btn-grad {
  background-color: #485563;
  background-image: linear-gradient(to right, #485563 0%, #29323c 51%, #485563 100%)
}

.btn-grad {
  margin: 10px;
  text-align: center;
  /*text-transform: uppercase;*/
  transition: 0.5s;
  background-size: 200% auto;
  color: white;
  box-shadow: 0 0 20px #eee;
  border-radius: 10px;
  display: block;
  width: 15em;
  padding: 15px
}

.btn-grad-hover:hover {
  background-position: right center; /* change the direction of the change here */
  color: #fff;
  text-decoration: none;
  cursor: pointer;
}


#info-box {
  font-family: Corbel, sans-serif;
  border-radius: 1em;
  background-color: #fff;
  position: fixed;
  box-sizing: border-box;
  top: 10vh;
  right: 20vw;
  height: 80vh;
  width: 60vw;
  visibility: hidden;

  padding: 1em;
  overflow: auto;
}

#info-box-content::-webkit-scrollbar {
  width: 12px; /* width of the entire scrollbar */
}

#info-box-content::-webkit-scrollbar-track {
  background: white; /* color of the tracking area */
  margin: 1em 0;
}

#info-box-content::-webkit-scrollbar-thumb {
  background-color: #828282; /* color of the scroll thumb */
  border-radius: 20px; /* roundness of the scroll thumb */
  border: 3px solid white; /* creates padding around scroll thumb */
}

#info-box > .closeButton {
  cursor: pointer;
  background: none;
  border: 0;
  padding: 0;
  position: absolute;
  right: 1em;
}

#info-box.show {
  visibility: visible;
  z-index: 200;
}


#info-box-content {
  overflow: auto;
  position: relative;
  top: 2em;
  width: 100%;
  box-sizing: border-box;
  height: calc(100% - 2em);
}


#info-box-background {
  background-color: rgba(0, 0, 0, .3);
  position: fixed;
  visibility: hidden;
  top: 0;
  height: 100vh;
  width: 100vw;
}

#info-box-background.show {
  z-index: 199;
  visibility: visible;
}

.prevent-scrolling-background-mobile {
  overflow: hidden !important;
}

.prevent-scrolling-background-desktop {
  overflow: hidden !important;
  padding-right: 15px; /* Avoid width reflow */
}

footer {
  text-align: center;
  background: rgba(255, 255, 255, .7);
  box-shadow: 0 0 10px 0 rgba(0%, 0%, 0%, .75);
}

footer a {
  color: #222;
}

/*Behaviour in normal desktop mode*/
@media (min-aspect-ratio: 1/1) {
  main {
    margin-left: auto;
    margin-right: auto;
  }

  .swipeIn {
    right: 3vw !important;
  }
}

@media (max-aspect-ratio: 1/1) {
  main {
    width: 95vw;
    margin: auto;
  }
}

@media only screen and (max-width: 60em) {
  #info-box {
    right: 5vw;
    width: 90vw;
  }

  #info-box-content > figure {
    margin: 16px 0;
  }
}
